// lorenzDlg.h : header file
//

#if !defined(AFX_LORENZDLG_H__B8550D27_76EB_4695_A484_11B581037C8B__INCLUDED_)
#define AFX_LORENZDLG_H__B8550D27_76EB_4695_A484_11B581037C8B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CLorenzDlg dialog

class CLorenzDlg : public CDialog
{
// Construction
public:
	CLorenzDlg(CWnd* pParent = NULL);	// standard constructor
int CLorenzDlg::prepdata();
// Dialog Data
	//{{AFX_DATA(CLorenzDlg)
	enum { IDD = IDD_LORENZ_DIALOG };
 	CStatic	m_grxy;
 	CStatic	m_grxz;
 	CStatic	m_gryz;
 	CStatic	m_grxt;
 	CStatic	m_gryt;
 	CStatic	m_grzt;
	CString	m_szOutFileName;
	CString	m_szInfo;
  double m_Omega;
  double m_tStep;
	double m_tMax;
  double m_sigma;
  double m_beta;
  double m_gamma; 
	// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLorenzDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLorenzDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBUTTONRun();
	afx_msg void OnBUTTONAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnDoubleclickedThread();
public:
	afx_msg void OnBnClickedThread();
public:
	afx_msg void OnBnSetfocusThread();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LORENZDLG_H__B8550D27_76EB_4695_A484_11B581037C8B__INCLUDED_)
